--- old/usr/src/uts/common/inet/mib2.h	2012-06-13 12:05:11.954182928 +0000
+++ new/usr/src/uts/common/inet/mib2.h	2012-06-13 12:05:11.997695543 +0000
@@ -96,12 +96,13 @@
 #define	MIB2_TCP6		(IPPROTO_MAX+14)
 #define	MIB2_UDP6		(IPPROTO_MAX+15)
 #define	MIB2_SCTP		(IPPROTO_MAX+16)
+#define	MIB2_DCCP		(IPPROTO_MAX+17)
 
 /*
  * Define range of levels for use with MIB2_*
  */
 #define	MIB2_RANGE_START	(IPPROTO_MAX+1)
-#define	MIB2_RANGE_END		(IPPROTO_MAX+16)
+#define	MIB2_RANGE_END		(IPPROTO_MAX+17)
 
 
 #define	EXPER			1024	/* experimental - not part of mib */
@@ -1786,6 +1787,50 @@
 #pragma pack()
 #endif
 
+/*
+ * the DCCP group
+ */
+#define	MIB2_DCCP_CONN		18
+
+#define	MIB2_DCCP_closed	1
+#define	MIB2_DCCP_listen	2
+
+/* Pack data to make struct size the same for 32- and 64-bits */
+#if _LONG_LONG_ALIGNMENT == 8 && _LONG_LONG_ALIGNMENT_32 == 4
+#pragma pack(4)
+#endif
+
+typedef struct mib2_dccp {
+
+	Counter	dccpActiveOpens;
+
+	int	dccpEntrySize;
+} mib2_dccp_t;
+
+#if _LONG_LONG_ALIGNMENT == 8 && _LONG_LONG_ALIGNMENT_32 == 4
+#pragma pack()
+#endif
+
+/* Pack data to make struct size the same for 32- and 64-bits */
+#if _LONG_LONG_ALIGNMENT == 8 && _LONG_LONG_ALIGNMENT_32 == 4
+#pragma pack(4)
+#endif
+
+typedef struct mib2_dccpConnEntry {
+	int		dccpConnState;
+	IpAddress	dccpConnLocalAddress;
+	int		dccpConnLocalPort;
+	IpAddress	dccpConnRemAddress;
+	int		dccpConnRemPort;
+
+	uint32_t	dccpConnCreationProcess;
+	uint64_t	dccpConnCreationTime;
+} mib2_dccpConnEntry_t;
+#define	MIB_FIRST_NEW_ELM_mib2_dccpConnEntry_t	dccpConnCreationProcess
+
+#if _LONG_LONG_ALIGNMENT == 8 && _LONG_LONG_ALIGNMENT_32 == 4
+#pragma pack()
+#endif
 
 #ifdef	__cplusplus
 }
